package in.gov.digilocker.uidai.services.xmlresponse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

@XmlRootElement(name = "Prn")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = { "type" })
public class EKYCPrnRes {
	
	@XmlAttribute(name = "type")private String type;
	@XmlValue private String prnValue;

	public EKYCPrnRes() {
		this.type = "";
		this.prnValue = "";
	}

	public EKYCPrnRes(String type, String prnValue) {
		this.type = type;
		this.prnValue = prnValue;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPrnValue() {
		return this.prnValue;
	}

	public void setPrnValue(String prnValue) {
		this.prnValue = prnValue;
	}
}
